Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumLangRefset

- java.lang.Object
- - java.lang.Enum<EnumLangRefset>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumLangRefset

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumLangRefset>`

      public enum EnumLangRefset
      extends java.lang.Enum<EnumLangRefset>

  If Refset ID is
  UK- refers to Concept id corresponding to UK English
  US- refers to Concept id corresponding to US English

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `CN` |
    `DE` |
    `ES` |
    `FR` |
    `HI` |
    `HINDI_REFSET` |
    `JA` |
    `MR` |
    `SA` |
    `SANSKRIT_REFSET` |
    `SIDDHA_REFSET` |
    `TA` |
    `UK` |
    `UNANI_REFSET` |
    `UR` |
    `US` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumLangRefset` | `getEnum​(java.lang.String value)` | Returns enumeration for given string value.
    `java.lang.String` | `getId()` | Returns SNOMEDCT identifier associated with enumeration.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `static boolean` | `isValidEnum​(java.lang.String str)` |
    `void` | `setId​(java.lang.String id)` | Sets SNOMEDCT identifier for enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumLangRefset` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumLangRefset[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UK

          public static final EnumLangRefset UK

    - #### US

          public static final EnumLangRefset US

    - #### HI

          public static final EnumLangRefset HI

    - #### CN

          public static final EnumLangRefset CN

    - #### ES

          public static final EnumLangRefset ES

    - #### DE

          public static final EnumLangRefset DE

    - #### FR

          public static final EnumLangRefset FR

    - #### JA

          public static final EnumLangRefset JA

    - #### SA

          public static final EnumLangRefset SA

    - #### TA

          public static final EnumLangRefset TA

    - #### UR

          public static final EnumLangRefset UR

    - #### MR

          public static final EnumLangRefset MR

    - #### ALL

          public static final EnumLangRefset ALL

    - #### SIDDHA_REFSET

          public static final EnumLangRefset SIDDHA_REFSET

    - #### SANSKRIT_REFSET

          public static final EnumLangRefset SANSKRIT_REFSET

    - #### UNANI_REFSET

          public static final EnumLangRefset UNANI_REFSET

    - #### HINDI_REFSET

          public static final EnumLangRefset HINDI_REFSET

  - ### Method Detail

    - #### values

          public static EnumLangRefset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumLangRefset c : EnumLangRefset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumLangRefset valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getId

          public java.lang.String getId()

      Returns SNOMEDCT identifier associated with enumeration.
      Returns:
        `String` value for SNOMEDCT identifier associated with enumeration.

    - #### setId

          public void setId​(java.lang.String id)

      Sets SNOMEDCT identifier for enumeration.
      Parameters:
        `id` - `String` value for SNOMEDCT identifier.

    - #### getEnum

          public static EnumLangRefset getEnum​(java.lang.String value)

      Returns enumeration for given string value.
      Parameters:
        `value` - `String` value for which enumeration is to be retrieve.
      Returns:
        `EnumLangRefset` enumeration for given string value

    - #### isValidEnum

          public static boolean isValidEnum​(java.lang.String str)